Skip to main content

Chargebacks and refunds

To refund all or part of a completed collection, raise a chargeback:

curl -X POST https://api.intasend.com/api/v1/chargebacks/ \
-H "Authorization: Bearer $INTASEND_SECRET_KEY" -H "Content-Type: application/json" \
-d '{"invoice_id": "ABC123", "amount": 100, "reason": "Duplicate payment"}'
FieldDescription
invoice_idA COMPLETE invoice on your account
amountUp to the invoice value
reasonUnavailable service, Delayed delivery, Wrong service, Duplicate payment or Other

The payment's transaction becomes CHARGEBACK-PENDING until the chargeback is resolved. KES M-Pesa refunds are processed automatically.

statusMeaning
PENDINGRaised
PROCESSINGRefund in progress
COMPLETEDRefunded. The transaction is REFUNDED
DISPUTED / OVERDUEUnder review
CANCELLEDWithdrawn. The funds are released back

Updates are sent as the reversal_event webhook.